python-oslo.service (4.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 23:54:03 +0100

python-oslo.service (4.3.0-4) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1045300).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 23:45:01 +0100

python-oslo.service (4.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:25:05 +0200

python-oslo.service (4.3.0-2) experimental; urgency=medium

  * Add missing runtime depends: python3-cotyledon.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 09:08:45 +0200

python-oslo.service (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-futurist and python3-cotyledon as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:08:37 +0200

python-oslo.service (4.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:36:58 +0100

python-oslo.service (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Feb 2025 11:23:43 +0100

python-oslo.service (4.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:40:04 +0100

python-oslo.service (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:43:16 +0100

python-oslo.service (3.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090579).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:31:00 +0100

python-oslo.service (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 18:00:36 +0200

python-oslo.service (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:23:50 +0200

python-oslo.service (3.4.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 19 Jun 2024 11:20:15 +0200

python-oslo.service (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:45:07 +0200

python-oslo.service (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:47:24 +0100

python-oslo.service (3.2.0-3) unstable; urgency=medium

  * Blacklist TestWSGIServerWithSSL.test_socket_options_for_ssl_server that is
    failing. We don't care this, since in Debian, we're using uwsgi for the
    SSL endpoint anyways.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 09:13:24 +0100

python-oslo.service (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:08:13 +0200

python-oslo.service (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:13:38 +0200

python-oslo.service (3.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045300).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 11:04:16 +0200

python-oslo.service (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:44:35 +0200

python-oslo.service (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:25:23 +0100

python-oslo.service (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:57:25 +0200

python-oslo.service (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:48:54 +0200

python-oslo.service (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:07:16 +0100

python-oslo.service (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 13:59:01 +0100

python-oslo.service (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:59:35 +0200

python-oslo.service (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:21:17 +0200

python-oslo.service (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:21:25 +0200

python-oslo.service (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:29:36 +0100

python-oslo.service (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:12:25 +0200

python-oslo.service (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:46:03 +0200

python-oslo.service (2.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed call to python3 setup.py compile_catalog, as it's failing.
  * Install using --in-tmp.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:37:46 +0200

python-oslo.service (2.1.2-1) unstable; urgency=medium

  * Run python3 setup.py compile_catalog before installing package, to make
    sure translations are installed.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jul 2020 11:11:24 +0200

python-oslo.service (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:22:57 +0200

python-oslo.service (2.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:57:58 +0200

python-oslo.service (1.40.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:50:29 +0200

python-oslo.service (1.40.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 11:37:32 +0200

python-oslo.service (1.40.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:31:23 +0200

python-oslo.service (1.38.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:05:03 +0200

python-oslo.service (1.38.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Mar 2019 21:42:43 +0100

python-oslo.service (1.31.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 22:53:03 +0100

python-oslo.service (1.31.3-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added procps as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 08:04:17 +0000

python-oslo.service (1.31.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.
  * Switched to pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 12:21:36 +0200

python-oslo.service (1.29.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:27:47 +0000

python-oslo.service (1.29.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:00:00 +0000

python-oslo.service (1.25.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #867630).
  * Build-depends on python-openstackdocstheme (Closes: #880185).
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 17:04:40 +0000

python-oslo.service (1.25.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop python-doc8 from BDs as it's not needed for package builds.

  [ Ondřej Nový ]
  * New upstream release
  * Fix (build-)depends for new release
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_install.
  * Blacklist test_service.ProcessLauncherTest.test_stop when running Py3 tests
    as in currently fails with Python 3.6.
  * Fixed SystemD -> systemd in long desc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Sep 2017 19:47:05 +0000

python-oslo.service (1.16.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:13 +0200

python-oslo.service (1.16.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 12:56:22 +0200

python-oslo.service (1.11.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop python-doc8 from BDs as it's not needed for package builds.

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch to debian/newton.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:43:54 +0000

python-oslo.service (1.8.0-1) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * New upstream release.
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Blacklist 3 unit tests in Py35 only:
    - EventletServerServiceLauncherTest.test_graceful_stop_with_exceeded_graceful_shutdown_timeout
    - EventletServerServiceLauncherTest.test_shuts_down_on_sigint_when_client_connected
    - ServiceLauncherTest.test_child_signal_sighup

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 09:38:20 +0000

python-oslo.service (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Testing with all versions of Python 3.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 08:52:50 +0000

python-oslo.service (1.2.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/rules: Enable py3 tests and test_sslutils.SslutilsTestCase.test_is_enabled.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 09:20:54 +0000

python-oslo.service (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Disable test_sslutils.SslutilsTestCase.test_is_enabled, as it's broken
    with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 15:55:49 +0100

python-oslo.service (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:44:55 +0000

python-oslo.service (0.9.0-1) experimental; urgency=medium

  [ James Page ]
  * d/control: Add missing BD on python{3}-requests.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 19:11:44 +0200

python-oslo.service (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)dependency for this release.
  * Black list the below tests which are failing under Python 3.4:
    - test_wsgi.TestWSGIServerWithSSL.test_app_using_ipv6_and_ssl
    - test_wsgi.TestWSGIServerWithSSL.test_ssl_server
    - test_wsgi.TestWSGIServerWithSSL.test_two_servers

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 09:02:55 +0000

python-oslo.service (0.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #789920)

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jun 2015 10:16:19 +0200
